<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>T-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="../templates/Template1.html" title="class in templates"><span class="typeNameLink">Template1</span></a> - Class in <a href="../templates/package-summary.html">templates</a></dt>
<dd>
<div class="block">Represents a template for building a SearchSourceBuilder implementing a query like
 <br>
     <code>"bool": {
         "must": [
              {
                  "term": {
                      stuff
                  }
              }, ...,
              {
                  "match": {
                      stuff
                  }
              }, ...,
              {
                  "range": {
                      stuff
                  }
              }, ...
         ]
     }</code></div>
</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#Template1--">Template1()</a></span> - Constructor for class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#Template1-java.util.HashMap-java.util.HashMap-java.util.ArrayList-">Template1(HashMap&lt;String, String&gt;, HashMap&lt;String, String&gt;, ArrayList&lt;Range&gt;)</a></span> - Constructor for class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../deserialization/TemplateDeserializer.html" title="class in deserialization"><span class="typeNameLink">TemplateDeserializer</span></a> - Class in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>
<div class="block">Template custom deserializer, it stores the associations between template names and their type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/TemplateDeserializer.html#TemplateDeserializer--">TemplateDeserializer()</a></span> - Constructor for class deserialization.<a href="../deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../templates/package-summary.html">templates</a> - package templates</dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/Term.html" title="class in queries"><span class="typeNameLink">Term</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents the ES term query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Term.html#Term--">Term()</a></span> - Constructor for class queries.<a href="../queries/Term.html" title="class in queries">Term</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Term.html#Term-java.lang.String-java.lang.String-">Term(String, String)</a></span> - Constructor for class queries.<a href="../queries/Term.html" title="class in queries">Term</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">TermsAggregation</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>
<div class="block">Represents the ES terms aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation--">TermsAggregation()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-int-long-java.lang.String:A-java.lang.String:A-boolean-aggregations.bucketaggs.AggsBucketOrder-">TermsAggregation(String, String, String, String, List&lt;AggregationType&gt;, int, long, String[], String[], boolean, AggsBucketOrder)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/testquery/TestQueryMain.html" title="class in tests.testquery"><span class="typeNameLink">TestQueryMain</span></a> - Class in <a href="../tests/testquery/package-summary.html">tests.testquery</a></dt>
<dd>
<div class="block">Main test class to check if ES server response is as expected</div>
</dd>
<dt><span class="memberNameLink"><a href="../tests/testquery/TestQueryMain.html#TestQueryMain--">TestQueryMain()</a></span> - Constructor for class tests.testquery.<a href="../tests/testquery/TestQueryMain.html" title="class in tests.testquery">TestQueryMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/package-summary.html">tests</a> - package tests</dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/assertions/package-summary.html">tests.assertions</a> - package tests.assertions</dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/testquery/package-summary.html">tests.testquery</a> - package tests.testquery</dt>
<dd>&nbsp;</dd>
<dt><a href="../examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate"><span class="typeNameLink">TestTemplate</span></a> - Class in <a href="../examples/newtemplate/package-summary.html">examples.newtemplate</a></dt>
<dd>
<div class="block">Represents a template to retrieve stats on age and balance associated to each designation
 for the date range provided.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newtemplate/TestTemplate.html#TestTemplate--">TestTemplate()</a></span> - Constructor for class examples.newtemplate.<a href="../examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate">TestTemplate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#type">type</a></span> - Variable in class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
